Bug 636696 - Dashboard: hitting the "X" on a tab closes tab regardless of modal window selection
Dashboard: hitting the "X" on a tab closes tab regardless of modal window sel...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 jon30-dashboard
  Show dependency treegraph
 
Reported: 2010-09-22 19:38 EDT by Corey Welton
Modified: 2011-05-23 21:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Firefox
Last Closed: 2011-05-23 21:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-09-22 19:38:25 EDT
Description of problem:
When user hits the "X" button on a dash tab, a modal window pops up asking if user wants to delete the tab.  Regardless as to the answer -- and in fact, before the user ever selects anything -- the tab is gone.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Login; create a New Dashboard
2. Click the "X" button on the dashboard.
3. Note the modal window pop up -- choose either option
  
Actual results:
The dashboard closes before user actually says y/n

Expected results:
Dashboard deletion occurs (or doesn't occur) per user's selection

Additional info:
Comment 1 Jay Shaughnessy 2011-02-11 18:15:46 EST
This should be fixed now.
Comment 2 Corey Welton 2011-02-14 14:29:37 EST
Verified.
Comment 3 Corey Welton 2011-05-23 21:15:09 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:15:19 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:15:21 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:15:22 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.